package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairTransferRecord;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.TransferDetailVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairTransferRecordService extends IService<RepairTransferRecord> {
    int insertRepairTransferRecord(RepairTransferRecord rns);

    int updateRepairTransferRecord(RepairTransferRecord rns);

    PageUtils<RepairTransferRecord> queryPageRepairTransferRecords(int currentPage, int pageCount, String name);

    int deleteRepairTransferRecordById(int id);

    RepairTransferRecord getRepairById(int id);

    List<RepairTransferRecord> getRepairs();

    RepairTransferRecord getRepairByRecordId(Integer recordId);

    TransferDetailVo queryTransferDetail(Integer recordId);
}
